package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * UpdateWipsConfigOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class UpdateWipsConfigOpenApiVo   {
  @JsonProperty("status")
  private Boolean status;

  @JsonProperty("deauthEn")
  private Boolean deauthEn;

  @JsonProperty("dynamicEn")
  private Boolean dynamicEn;

  @JsonProperty("lockTime")
  private Integer lockTime;

  public UpdateWipsConfigOpenApiVo status(Boolean status) {
    this.status = status;
    return this;
  }

  /**
   * Wireless IPS config status; true:enable, false:disable.
   * @return status
  */
  @ApiModelProperty(required = true, value = "Wireless IPS config status; true:enable, false:disable.")
  @NotNull


  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }

  public UpdateWipsConfigOpenApiVo deauthEn(Boolean deauthEn) {
    this.deauthEn = deauthEn;
    return this;
  }

  /**
   * Wireless IPS deauthenticate config status; true:enable, false:disable.
   * @return deauthEn
  */
  @ApiModelProperty(required = true, value = "Wireless IPS deauthenticate config status; true:enable, false:disable.")
  @NotNull


  public Boolean getDeauthEn() {
    return deauthEn;
  }

  public void setDeauthEn(Boolean deauthEn) {
    this.deauthEn = deauthEn;
  }

  public UpdateWipsConfigOpenApiVo dynamicEn(Boolean dynamicEn) {
    this.dynamicEn = dynamicEn;
    return this;
  }

  /**
   * Wireless IPS dynamic block list config status; true:enable, false:disable.
   * @return dynamicEn
  */
  @ApiModelProperty(required = true, value = "Wireless IPS dynamic block list config status; true:enable, false:disable.")
  @NotNull


  public Boolean getDynamicEn() {
    return dynamicEn;
  }

  public void setDynamicEn(Boolean dynamicEn) {
    this.dynamicEn = dynamicEn;
  }

  public UpdateWipsConfigOpenApiVo lockTime(Integer lockTime) {
    this.lockTime = lockTime;
    return this;
  }

  /**
   * Wireless IPS device locking duration config status; It should be within the range of 300–36000; this field is required when parameter [dynamicEn] is true.
   * @return lockTime
  */
  @ApiModelProperty(value = "Wireless IPS device locking duration config status; It should be within the range of 300–36000; this field is required when parameter [dynamicEn] is true.")


  public Integer getLockTime() {
    return lockTime;
  }

  public void setLockTime(Integer lockTime) {
    this.lockTime = lockTime;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpdateWipsConfigOpenApiVo updateWipsConfigOpenApiVo = (UpdateWipsConfigOpenApiVo) o;
    return Objects.equals(this.status, updateWipsConfigOpenApiVo.status) &&
        Objects.equals(this.deauthEn, updateWipsConfigOpenApiVo.deauthEn) &&
        Objects.equals(this.dynamicEn, updateWipsConfigOpenApiVo.dynamicEn) &&
        Objects.equals(this.lockTime, updateWipsConfigOpenApiVo.lockTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status, deauthEn, dynamicEn, lockTime);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpdateWipsConfigOpenApiVo {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    deauthEn: ").append(toIndentedString(deauthEn)).append("\n");
    sb.append("    dynamicEn: ").append(toIndentedString(dynamicEn)).append("\n");
    sb.append("    lockTime: ").append(toIndentedString(lockTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

